%define source_date 20090529
%define subrel 10

Name: mandriva-kde4-config
Summary: Mandriva KDE 4 configuration
Version: 2009.1
Release: %mkrel 23
URL: http://www.mandriva.com
Group: Graphical desktop/KDE
BuildRoot: %_tmppath/%name-buildroot
BuildRequires: kde4-macros
BuildRequires: inkscape
Source0: %{name}-%{version}.%{source_date}.tar.bz2
Source1: kde4-firstsetup.sh
Source2: Home2.desktop
Source3: Welcome.desktop
Source4: trash.desktop
Source5: plasma-desktoprc
Source6: plasma-desktop-appletsrc
Patch1:  mandriva-kde4-config-2009.1.20090529-fix-kdeglobals.patch
License: GPL
BuildArch: noarch

%description
This package regroups all specific Mandriva config file for KDE.
(kicker config etc.)

#--------------------------------------------------------------------

%package common
Group: Graphical desktop/KDE
Summary: Common configs used for Mandriva theme
Requires(pre): update-alternatives
Requires: urw-fonts
Requires: mandriva-theme-screensaver
Requires: mandriva-kde-icons
Suggests: plasma-desktoptheme-aya
Suggests: kde4-style-iaora >= 0.2.3

%description common
common configs used for Mandriva theme

%post common
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/common/upstream-kde4-config 9

%postun common
if ! [ -e /var/lib/mandriva/kde4-profiles/common/upstream-kde4-config ]; then
  update-alternatives --remove kde4-config /var/lib/mandriva/kde4-profiles/common/upstream-kde4-config
fi

%files common
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/
%dir %_localstatedir/lib/mandriva/kde4-profiles
%dir %_localstatedir/lib/mandriva/kde4-profiles/common
%_localstatedir/lib/mandriva/kde4-profiles/common/*
%_datadir/kde4/env/*
%_datadir/applications/kde4/Home2.desktop
%_datadir/applications/kde4/Welcome.desktop
%_datadir/applications/kde4/trash.desktop
%_kde_iconsdir/oxygen/*/*/*
%exclude %_localstatedir/lib/mandriva/kde4-profiles/common/share/config/kdm

#--------------------------------------------------------------------

%package -n powerpack-kde4-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde4-config-common = %version-%release
Obsoletes: mandriva-kde4-config-file < 2008.0
Obsoletes: powerpackplus-kde4-config < 2008.0 
Provides: powerpackplus-kde4-config = %version-%release
Requires(preun): mandriva-kde4-config-common

%pre -n powerpack-kde4-config
if [ "$1" = "2" ]; then
	[ ! -h %_sysconfdir/kde4rc ] && rm -f %_sysconfdir/kde4rc ]
fi
if [ -d %_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/apps/kdesktop/Desktop
fi

%post -n powerpack-kde4-config
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/powerpack/kde4rc 25

%postun -n powerpack-kde4-config
if ! [ -e /var/lib/mandriva/kde4-profiles/powerpack/kde4rc ]; then
  update-alternatives --remove kde4-config /var/lib/mandriva/kde4-profiles/powerpack/kde4rc
fi

%description -n powerpack-kde4-config
This package regroups all specific Mandriva config file for KDE.

%files -n powerpack-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/kde4-profiles/powerpack
%_localstatedir/lib/mandriva/kde4-profiles/powerpack/*

#--------------------------------------------------------------------

%package -n one-kde4-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde4-config-common = %version-%release
Obsoletes: mandriva-kde4-config-file < 2008.0
Requires(preun): mandriva-kde4-config-common

%description -n one-kde4-config
This package regroups all specific Mandriva config file for KDE.

%pre -n one-kde4-config
if [ "$1" = "2" ]; then
	[ ! -h %_sysconfdir/kde4rc ] && rm -f %_sysconfdir/kde4rc ]
fi
if [ -d %_localstatedir/lib/mandriva/kde4-profiles/one/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/lib/mandriva/kde4-profiles/one/share/apps/kdesktop/Desktop
fi

%post -n one-kde4-config
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/one/kde4rc 15

%postun -n one-kde4-config
if ! [ -e /var/lib/mandriva/kde4-profiles/one/kde4rc ]; then
  update-alternatives --remove kde4-config /var/lib/mandriva/kde4-profiles/one/kde4rc
fi

%files -n one-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/kde4-profiles/one
%_localstatedir/lib/mandriva/kde4-profiles/one/*


#--------------------------------------------------------------------

%package -n flash-kde4-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde4-config-common = %version-%release
Obsoletes: mandriva-kde4-config-file < 2008.0
Requires(preun): mandriva-kde4-config-common

%description -n flash-kde4-config
This package regroups all specific Mandriva config file for KDE.

%pre -n flash-kde4-config
if [ "$1" = "2" ]; then
	[ ! -h %_sysconfdir/kde4rc ] && rm -f %_sysconfdir/kde4rc ]
fi
if [ -d %_localstatedir/lib/mandriva/kde4-profiles/flash/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/lib/mandriva/kde4-profiles/flash/share/apps/kdesktop/Desktop
fi

%post -n flash-kde4-config
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/flash/kde4rc 10

%postun -n flash-kde4-config
if ! [ -e /var/lib/mandriva/kde4-profiles/flash/kde4rc ]; then
  update-alternatives --remove kde4-config /var/lib/mandriva/kde4-profiles/flash/kde4rc
fi

%files -n flash-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/kde4-profiles/flash
%_localstatedir/lib/mandriva/kde4-profiles/flash/*


#--------------------------------------------------------------------

%package -n free-kde4-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde4-config-common = %version-%release
Obsoletes: mandriva-kde4-config-file < 2008.0
Requires(preun): mandriva-kde4-config-common
Obsoletes: download-kde4-config-2007 < 2008.0 
Provides:	download-kde4-config-2007
Obsoletes: discovery-kde4-config < 2008.0
Provides: discovery-kde4-config = %version-%release

%description -n free-kde4-config
This package regroups all specific Mandriva config file for KDE.

%pre -n free-kde4-config
if [ "$1" = "2" ]; then
	[ ! -h %_sysconfdir/kde4rc ] && rm -f %_sysconfdir/kde4rc ]
fi
if [ -d %_localstatedir/lib/mandriva/kde4-profiles/free/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/lib/mandriva/kde4-profiles/free/share/apps/kdesktop/Desktop
fi

%post -n free-kde4-config
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/free/kde4rc 20

%postun -n free-kde4-config
if ! [ -e /var/lib/mandriva/kde4-profiles/free/kde4rc ]; then
  update-alternatives --remove kde4-config /var/lib/mandriva/kde4-profiles/free/kde4rc
fi

%files -n free-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/kde4-profiles/free
%_localstatedir/lib/mandriva/kde4-profiles/free/*


#--------------------------------------------------------------------
# KDM

%package -n mandriva-kdm4-config
Summary: Mandriva KDM config file
Group: Graphical desktop/KDE
Obsoletes: kdebase-kdm4-config-file < 2008.0
Provides: kdm4-config-file = %version-%release
# For upgrade 
Provides: kdebase-kdm4-config-file = 2:%version 
Obsoletes: mandriva-kde4-config-file < 2008.0
Requires(post): perl-MDK-Common

%description -n mandriva-kdm4-config
Mandriva KDM config file

%trigger -n mandriva-kdm4-config -- kdebase-kdm4-config-file 
perl -MMDK::Common -e 'update_gnomekde4rc("%{_kde_configdir}/kdm/kdmrc", "General", "ConsoleTTYs", "tty1,tty2,tty3,tty4,tty5,tty6", "ServerVTs", "-7")'

%post -n mandriva-kdm4-config
mkdir -p %_kde_configdir/kdm
if [ -f %_kde_configdir/kdm/kdmrc -a ! -h %_kde_configdir/kdm/kdmrc ]; then
	mv %_kde_configdir/kdm/kdmrc %_kde_configdir/kdm/kdmrc.rpmold
fi
if [ -f %_kde_configdir/kdm/backgroundrc -a ! -h %_kde_configdir/kdm/backgroundrc ]; then
	mv %_kde_configdir/kdm/backgroundrc %_kde_configdir/kdm/backgroundrc.rpmold
fi
update-alternatives --install \
	%_kde_configdir/kdm/kdmrc kdm4-config \
	%_localstatedir/lib/mandriva/kde4-profiles/common/share/config/kdm/kdmrc \
	10 \
	--slave \
	%_kde_configdir/kdm/backgroundrc \
	kdm4-background-config \
	%_localstatedir/lib/mandriva/kde4-profiles/common/share/config/kdm/backgroundrc

%postun -n mandriva-kdm4-config
if ! [ -e /var/lib/mandriva/kde4-profiles/common/share/config/kdmrc ]; then
  update-alternatives --remove kdm4-config /var/lib/mandriva/kde4-profiles/common/share/config/kdmrc
fi

%triggerpostun -n mandriva-kdm4-config -- mandriva-kdm-config
update-alternatives --install \
    %_kde_configdir/kdm/kdmrc kdm4-config \
    %_localstatedir/lib/mandriva/kde4-profiles/common/share/config/kdm/kdmrc \
    10 \
    --slave \
    %_kde_configdir/kdm/backgroundrc \
    kdm4-background-config \
    %_localstatedir/lib/mandriva/kde4-profiles/common/share/config/kdm/backgroundrc

%files -n mandriva-kdm4-config
%defattr(0644,root,root,0755)
%config(noreplace) %_localstatedir/lib/mandriva/kde4-profiles/common/share/config/kdm/backgroundrc
%config(noreplace) %_localstatedir/lib/mandriva/kde4-profiles/common/share/config/kdm/kdmrc
%_kde_appsdir/kdm/themes

#---------------------------------------

%prep
%setup -q
%patch1 -p0 -b .orig

%install
rm -rf %buildroot
# Create profile dirs
mkdir -p %buildroot/%{_kde_appsdir}/kdm
mkdir -p %buildroot/%{_kde_configdir}/kdm
mkdir -p %buildroot/%_localstatedir/lib/mandriva
mkdir -p %buildroot/%_datadir/applications/kde4

mv kde4-profiles/common/share/config/kdm/themes %buildroot/%{_kde_appsdir}/kdm
mv kde4-profiles %buildroot/%_localstatedir/lib/mandriva

for name in flash free one powerpack; do
    echo "[Directories-default]" > %buildroot%_localstatedir/lib/mandriva/kde4-profiles/$name/kde4rc
    echo "prefixes=/var/lib/mandriva/kde4-profiles/common,%_localstatedir/lib/mandriva/kde4-profiles/$name" >> %buildroot%_localstatedir/lib/mandriva/kde4-profiles/$name/kde4rc
done

# Upstream
echo "[Directories-default]" > %buildroot%_localstatedir/lib/mandriva/kde4-profiles/common/upstream-kde4-config
echo "prefixes=%{_kde_prefix}" >> %buildroot%_localstatedir/lib/mandriva/kde4-profiles/common/upstream-kde4-config

mkdir -p %buildroot/%_datadir/kde4/env
install -m 755 %SOURCE1 %buildroot/%_datadir/kde4/env

install -m 755 %SOURCE2 %buildroot/%_datadir/applications/kde4
install -m 755 %SOURCE3 %buildroot/%_datadir/applications/kde4
install -m 755 %SOURCE4 %buildroot/%_datadir/applications/kde4

# For kde43 compat
install -m 0644 %SOURCE5 %buildroot%_localstatedir/lib/mandriva/kde4-profiles/common/share/config
install -m 0644 %SOURCE6 %buildroot%_localstatedir/lib/mandriva/kde4-profiles/common/share/config

# Create png icon structure
mkdir -p %buildroot/%_localstatedir/lib/mandriva/kde4-profiles/common/share/apps/mandriva/pics/
cp %SOURCE2 %buildroot/%_localstatedir/lib/mandriva/kde4-profiles/common/share/apps/mandriva/pics/

pushd %buildroot/%_localstatedir/lib/mandriva/kde4-profiles/common/share/apps/mandriva/pics/
	mkdir -p %buildroot%_kde_iconsdir/oxygen/scalable/places/
	cp mdvbutton.svg %buildroot/%_kde_iconsdir/oxygen/scalable/places/

	for RES in 16 22 32 48 64 128; do 
		mkdir -p  %buildroot/%_kde_iconsdir/oxygen/${RES}x${RES}/places
		inkscape -z -w ${RES} -h ${RES} -f mdvbutton.svg -e %buildroot/%_kde_iconsdir/oxygen/${RES}x${RES}/places/mdvbutton.png
	done
popd

%clean
rm -rf %buildroot





%changelog
* Thu Dec 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-23.10mdv2009.1
+ Revision: 472900
- Reintroduce the iaora check
- We have no ia ora qt on 2009.1
- Increase release for testing
- We do not have kde 4.3 on 2009.1 so let config files and do not change the name

* Mon Nov 30 2009 Security Team <security@mandriva.com> 2009.1-23.9mdv2009.1
+ Revision: 472051
- built for updates

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix kdmrc when mandriva-kdm-config is removed

  + Helio Chissini de Castro <helio@mandriva.com>
    - Minor theme update
    - Simple launcher take png icons
    - Suggests new ia_ora kde and do proper upgrade in firstsetup
    - Prepare for 4.3 compat

* Thu Jul 02 2009 Security Team <security@mandriva.com> 2009.1-23.4mdv2009.1
+ Revision: 391781
- + Revision: 390180
  Fix patch number
  Fix kdeglobals
  + Helio Chissini de Castro <helio@mandriva.com>
    - Launcher replace in upgrades from 2009.0

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix patch number
    - Fix kdeglobals

  + Helio Chissini de Castro <helio@mandriva.com>
    - Launcher replace in upgrades from 2009.0

* Wed Jun 03 2009 Security Team <security@mandriva.com> 2009.1-23.2mdv2009.1
+ Revision: 382385
- built for updates

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update for flash profiles

* Thu Apr 23 2009 Helio Chissini de Castro <helio@mandriva.com> 2009.1-23mdv2009.1
+ Revision: 368814
- Removed override icon for x-image-generic. Leftover from openoffice icons added in 2008.1

* Mon Apr 20 2009 Helio Chissini de Castro <helio@mandriva.com> 2009.1-22mdv2009.1
+ Revision: 368466
- Fix panel resize issue. Update tarball with svn mandriva upstream data

* Mon Apr 20 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-21mdv2009.1
+ Revision: 368278
- Add comment about patch0
- Add back the trash icon as this is what will be used on default desktop
- Fix open of Home Desktop icon

* Thu Apr 16 2009 Helio Chissini de Castro <helio@mandriva.com> 2009.1-20mdv2009.1
+ Revision: 367708
- We don't use trash desktop anymore on kde4. Solve issue for nautilus too.

* Thu Apr 09 2009 Arthur Renato Mello <arthur@mandriva.com> 2009.1-19mdv2009.1
+ Revision: 365392
- Update Kickoff button for PWP

* Thu Apr 09 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.1-18mdv2009.1
+ Revision: 365387
- New version fixing the color schemes

* Tue Apr 07 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.1-17mdv2009.1
+ Revision: 364904
- Add the colorScheme tag to the default color schemes so that
  xsettings-kde works

* Mon Apr 06 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.1-16mdv2009.1
+ Revision: 364296
- New release fixing mandriva colors and the menu topbar

* Fri Apr 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-15mdv2009.1
+ Revision: 363876
- Show trash only in Kde

* Thu Apr 02 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.1-14mdv2009.1
+ Revision: 363606
- New version containing the latest artwork for menu and splash

* Wed Apr 01 2009 Helio Chissini de Castro <helio@mandriva.com> 2009.1-13mdv2009.1
+ Revision: 363382
- Add aya as a suggests for common config profile

* Mon Mar 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-12mdv2009.1
+ Revision: 362233
- Do not show Welcome and Home menuentries

* Tue Mar 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-11mdv2009.1
+ Revision: 360893
- Fix trashcan icon

* Mon Mar 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-10mdv2009.1
+ Revision: 360713
- Fix typo

* Sun Mar 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-9mdv2009.1
+ Revision: 360478
- Fix macros
- Use icon for the trash
  Add icon of the mdv button ( needed for next kdebase4-workspace )

* Tue Mar 10 2009 Anne Nicolas <anne.nicolas@mandriva.com> 2009.1-8mdv2009.1
+ Revision: 353395
- Fix trash position

* Mon Mar 09 2009 Arthur Renato Mello <arthur@mandriva.com> 2009.1-7mdv2009.1
+ Revision: 353265
- Add new Mandriva menu button for KDE

* Fri Mar 06 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-6mdv2009.1
+ Revision: 349801
- Fix file list
  Fix trash applet position
  Force 2 row for the virtual desktop applet
- Add back the Welcome icon on the desktop

* Thu Feb 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-5mdv2009.1
+ Revision: 339708
- Change some default 3D effects ( to avoid conflicts, and be eye-candy )

* Tue Feb 03 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2009.1-4mdv2009.1
+ Revision: 336959
- show Home2.desktop only in KDE

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Open dolphin on $HOME
    - Fix requires ( needed for Home2.desktop)

* Wed Jan 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-3mdv2009.1
+ Revision: 332267
- Fix trash position
- Lock the plasma bar at first start
  Use folderview as desktop plugin and not as a plasmoid anymore ( kde3 way of use )
- Use mandriva icon

* Wed Jan 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.0-53mdv2009.1
+ Revision: 332108
- Rename Source2 to avoid conflicts
- Copy a file manager desktop file on the desktop

* Wed Jan 07 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-51mdv2009.1
+ Revision: 326785
- new release fixing the window title colors

* Fri Dec 19 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-50mdv2009.1
+ Revision: 316265
- Fix the battery applet

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Do not use powersave anymore but battery applet

* Fri Dec 19 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-49mdv2009.1
+ Revision: 316230
- Fix some plasma configs (background and menu)

* Wed Oct 08 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-48mdv2009.0
+ Revision: 291201
- Rebuild with cooker signature

* Thu Oct 02 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-47mdv2009.0
+ Revision: 290958
- There is a bug in KSharedConfig which makes it not reading kdeglobals
  from kde prefixes. Fixed by copying kdeglobals to /usr/share/config.

* Thu Oct 02 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-46mdv2009.0
+ Revision: 290901
- Amarok and kdm rc rational changes
- Little larger and sharp Mandriva button

* Wed Oct 01 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-45mdv2009.0
+ Revision: 290671
- Update mandriva base menu icon

* Wed Oct 01 2008 Olivier Blin <oblin@mandriva.com> 2009.0-44mdv2009.0
+ Revision: 290327
- remove special case for draklive-install, it has nothing to do here

* Tue Sep 30 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-43mdv2009.0
+ Revision: 290230
- Fix the status messages for the splash screen
- Make the slideshow the default screensaver and point it to the right directory

* Tue Sep 30 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-42mdv2009.0
+ Revision: 290143
- Draklive icon should go in the right directory, not a specific Desktop since we're using translated xdg-user-dirs
- Missing config confirmation after desktop icons creation

* Tue Sep 30 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-40mdv2009.0
+ Revision: 290124
- We should not require binaries in kde4 config. Splash should go to runtime package

* Mon Sep 29 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-39mdv2009.0
+ Revision: 289683
- folderview now receive icons from Mandriva

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-38mdv2009.0
+ Revision: 288238
- Change place for env file, as requested

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-37mdv2009.0
+ Revision: 288219
- Silence nepomuk in startup...

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-36mdv2009.0
+ Revision: 288131
- Locale for kdm was hardcoded ( last file ? )
- Sub shell script in env with exit invokes all default desktop calls bail out. Similar issue happened in keychain script

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-35mdv2009.0
+ Revision: 287979
- Powersave comes from first setup in a script, this eliminate the issue of having a useless applet in the panel bar

* Wed Sep 24 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-34mdv2009.0
+ Revision: 287942
- Adding ksplash themes information to be show on system settings

* Tue Sep 23 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-33mdv2009.0
+ Revision: 287384
- Put proper powersave applet

* Tue Sep 23 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-32mdv2009.0
+ Revision: 287237
- Adding require for kde4-splash-mdv
- Changing ksplashrc to use kde4-splash-mdv

* Mon Sep 22 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-31mdv2009.0
+ Revision: 287132
- Importing KDE Splash Themes for 2009.0

* Mon Sep 22 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-30mdv2009.0
+ Revision: 287095
- Applets position

* Mon Sep 22 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-29mdv2009.0
+ Revision: 286821
- Added battery applet
- Added four oasis defined mimetype icons provided by Cabral
- Try to move systray applet to a different position to come before clock
- Little changes to make Qa and Vincent happy. ( or less annoyed )
- Clock position
- Notification applet

* Fri Sep 12 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-27mdv2009.0
+ Revision: 284274
- Mandriva launcher menu.

* Wed Sep 10 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-26mdv2009.0
+ Revision: 283579
- Add button on kdm

* Fri Sep 05 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-25mdv2009.0
+ Revision: 281355
- Fix the untested firefox modification which lead kfmclient going nuts

* Thu Sep 04 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-24mdv2009.0
+ Revision: 280954
- Sounds back to ia_ora

* Fri Aug 29 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-23mdv2009.0
+ Revision: 277340
- Forced 96dpi to fonts as requested

* Thu Aug 28 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-22mdv2009.0
+ Revision: 276869
- Fix menubar images

* Wed Aug 27 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-21mdv2009.0
+ Revision: 276606
- We don't want real files sit on kdm, so move old ones to kdmrc.old
- Update kdm theme with final layout

* Tue Aug 26 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-19mdv2009.0
+ Revision: 276079
- Prepare icons for mandriva menu

* Tue Aug 19 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-18mdv2009.0
+ Revision: 273951
- Prepare to iaora style and window decorator

* Tue Aug 12 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-17mdv2009.0
+ Revision: 271131
- Added notification applet and lock applet on kicker like bar

* Thu Aug 07 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-16mdv2009.0
+ Revision: 266299
- Start to populate configs

* Mon Jul 28 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-15mdv2009.0
+ Revision: 251495
- Make IaOra the default widget style

* Fri Jul 18 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-14mdv2009.0
+ Revision: 238302
- Disable all kwin effects

* Wed Jul 09 2008 Olivier Blin <oblin@mandriva.com> 2009.0-13mdv2009.0
+ Revision: 232934
- make sure /usr/share/config/kdm exists before alternative is set
  (kdm owns /usr/share/config/kdm, but is installed after,
   since it requires mandriva-kdm4-config)

* Tue Jul 08 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-12mdv2009.0
+ Revision: 232852
- Added alternatives method for kdm. Is easier handle this way than change old C codebase for read standard profiles.
- Post kdm4 packages will requires kdm4-config-file, which mean any oem or different layout for kdm can now be easyly handled
  by alternatives.
- Upstream kdm config will be provided in future

* Fri Jul 04 2008 Anssi Hannula <anssi@mandriva.org> 2009.0-11mdv2009.0
+ Revision: 231821
- fix typo in upstream-kde4-config alternatives command of -common
- own /var/lib/mandriva/kde4-profiles in -common

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-10mdv2009.0
+ Revision: 228720
- Panel basic default fixed
- kwin simple effects with xrender
- Aya theme as base

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-8mdv2009.0
+ Revision: 228601
- Use theme in appsdir for now
- Adding somple plasma theme

* Fri Jun 20 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-7mdv2009.0
+ Revision: 227629
- Fixed config to match right wallpaper and include a bar that was missing

* Fri Jun 20 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-6mdv2009.0
+ Revision: 227564
- Update kdmrc for new X paths

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-5mdv2009.0
+ Revision: 227181
-Small rusty configs

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon May 26 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.0-4mdv2009.0
+ Revision: 211392
- Reupload because of missing binary

* Thu May 22 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.0-3mdv2009.0
+ Revision: 210140
- Move in /usr

* Wed May 07 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-2mdv2009.0
+ Revision: 202873
- Fixed kdm theme location

* Tue May 06 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-1mdv2009.0
+ Revision: 202258
- Remove conflicts that was suppose to be to kde 3 package
- First fully functional kde4 config

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 2008.0-2mdv2008.1
+ Revision: 140944
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 03 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2008.0-2mdv2008.0
+ Revision: 95234
- Use double click by default

* Tue Oct 02 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-1mdv2008.0
+ Revision: 94679
- import mandriva-kde4-config


